# -*- encoding: utf-8 -*-
# --------------------------------------------------------------------------------
# Project:               TransALM
# Copyright:           © 2010. All rights reserved.
# License:
# --------------------------------------------------------------------------------
#    This file is part of TransALM
#
#    TransALM is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
# --------------------------------------------------------------------------------
# Created:               May 11, 2010 by telgabsi
# Last modified:         2010-08-15 09:18:22 AM
#
# Last Author:           $LastChangedBy$
# Last Checkin:          $LastChangedDate$
# Checked out Version:   $LastChangedRevision$
# HeadURL:               $HeadURL$
# --------------------------------------------------------------------------------
{
    "name" : "Software Application Lifecycle Management",
    "version" : "0.0.7",
    "author" : "TransALM",
    'website': 'http://www.transalm.org',
    "category" : "Enterprise Specific Modules/Software Industry",
    "depends" : [
                    'base_iban',
                    'product',
                    'sale',
                    'hr_expense',
                    'hr_timesheet_sheet',
                    'project_timesheet',
                    'wiki',
                    'report_timesheet',
                ],
    "init_xml" : [
                  'data/product_category.xml',
                  'data/product_uom.xml'
                  ],
    "demo_xml" : [],
    "description": "Application Lifecycle Management",
    "update_xml" : ['software_alm_view.xml'],
    "active": False,
    "installable": True
}
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
