# -*- encoding: utf-8 -*-
# --------------------------------------------------------------------------------
# Project:               TransALM
# Copyright:           © by the authors since 2010  All rights reserved.
# --------------------------------------------------------------------------------
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
# --------------------------------------------------------------------------------
# Created:               Jun 21, 2010 7:49:42 PM by telgabsi
# Last modified:         Jun 21, 2010 7:49:42 PM
#
# Last Author:           $LastChangedBy$
# Last Checkin:          $LastChangedDate$
# Checked out Version:   $LastChangedRevision$
# HeadURL:               $HeadURL$
# --------------------------------------------------------------------------------
import vcs_wrapper

class BzrWrapper(vcs_wrapper.VersionControlSystem):
    """
    A Wrapper Implementation of Bazaar @see: http://bazaar.canonical.com/
    """
    def branch(self, branch_name, repo):
        from bzrlib.builtins import cmd_branch 
        import re
        cmd = cmd_branch()
        branch = re.sub('\/trunk\/*$', '/' + branch_name + '/', repo)
        cmd.run(repo, branch)

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
