# -*- encoding: utf-8 -*-
# --------------------------------------------------------------------------------
# Project:               TransALM
# Copyright:           © 2010. All rights reserved.
# License:
# --------------------------------------------------------------------------------
#    This file is part of TransALM
#
#    TransALM is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
# --------------------------------------------------------------------------------
# Created:               2010-05-01 by telgabsi
# Last modified:         2010-08-15 09:18:23 AM
#
# Last Author:           $LastChangedBy$
# Last Checkin:          $LastChangedDate$
# Checked out Version:   $LastChangedRevision$
# HeadURL:               $HeadURL$
# --------------------------------------------------------------------------------
{
    'name' : 'Software Requirement',
    'version' : '0.9.4',
    'author' : 'TransALM',
    'website': 'http://www.transalm.org',
    'category' : 'Enterprise Specific Modules/Software Industry',
    'depends' : ['software_feature'],
    'init_xml' : [
                  ],
    'demo_xml' : [],
    'description': 'Module to manage requirements of software products',
    'update_xml' : [
                  'view_form.xml',
                  'view_form_change.xml',
                  'view_action.xml',
                  'view_menu.xml',
                  'security/ir_ui_model.xml',
                  'workflow.xml', 'workflow_activities.xml', 'workflow_transitions.xml',
                  ],
    'active': False,
    'installable': True
}
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
